Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.selectors
Class Operator

    java.lang.Object
      org.jboss.mq.selectors.Operator

public class Operator
extends Object

An operator for the selector system.

Version:
  $Revision: 1.13.6.2 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), droy@boostmyscore.com, Scott.Stark@jboss.org, adrian@jboss.com

Field Summary
`static int` | `ADD`
`static int` | `AND`
`static int` | `BETWEEN`
`static int` | `BOOLEAN`
`static int` | `DIFFERENT`
`static int` | `DIV`
`static int` | `DOUBLE`
`static int` | `EQUAL`
`static int` | `GE`
`static int` | `GT`
`static int` | `IN`
`static int` | `IS_NOT_NULL`
`static int` | `IS_NULL`
`static int` | `LE`
`static int` | `LIKE`
`static int` | `LIKE_ESCAPE`
`static int` | `LONG`
`static int` | `LT`
`static int` | `MUL`
`static int` | `NEG`
`static int` | `NOT`
`static int` | `NOT_BETWEEN`
`static int` | `NOT_IN`
`static int` | `NOT_LIKE`
`static int` | `NOT_LIKE_ESCAPE`
`static int` | `OR`
`static int` | `STRING`
`static int` | `SUB`

Constructor Summary
`Operator(int operation, Object oper1)`
`Operator(int operation, Object oper1, Object oper2)`
`Operator(int operation, Object oper1, Object oper2, Object oper3)`

Method Summary
`Object` | `apply()`
`String` | `print(String level)`
`void` | `throwBadObjectException(Class class1)`
`void` | `throwBadObjectException(int class1)`
`void` | `throwBadObjectException(int class1, int class2)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EQUAL

    public static final int EQUAL

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### GE

    public static final int GE

See Also:
  Constant Field Values

### LT

    public static final int LT

See Also:
  Constant Field Values

### LE

    public static final int LE

See Also:
  Constant Field Values

### DIFFERENT

    public static final int DIFFERENT

See Also:
  Constant Field Values

### ADD

    public static final int ADD

See Also:
  Constant Field Values

### SUB

    public static final int SUB

See Also:
  Constant Field Values

### NEG

    public static final int NEG

See Also:
  Constant Field Values

### MUL

    public static final int MUL

See Also:
  Constant Field Values

### DIV

    public static final int DIV

See Also:
  Constant Field Values

### BETWEEN

    public static final int BETWEEN

See Also:
  Constant Field Values

### NOT_BETWEEN

    public static final int NOT_BETWEEN

See Also:
  Constant Field Values

### LIKE

    public static final int LIKE

See Also:
  Constant Field Values

### NOT_LIKE

    public static final int NOT_LIKE

See Also:
  Constant Field Values

### LIKE_ESCAPE

    public static final int LIKE_ESCAPE

See Also:
  Constant Field Values

### NOT_LIKE_ESCAPE

    public static final int NOT_LIKE_ESCAPE

See Also:
  Constant Field Values

### IS_NULL

    public static final int IS_NULL

See Also:
  Constant Field Values

### IS_NOT_NULL

    public static final int IS_NOT_NULL

See Also:
  Constant Field Values

### IN

    public static final int IN

See Also:
  Constant Field Values

### NOT_IN

    public static final int NOT_IN

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

See Also:
  Constant Field Values

Constructor Detail

### Operator

    public Operator(int operation,
                    Object oper1,
                    Object oper2,
                    Object oper3)

### Operator

    public Operator(int operation,
                    Object oper1,
                    Object oper2)

### Operator

    public Operator(int operation,
                    Object oper1)

Method Detail

### toString

    public String toString()

### print

    public String print(String level)

### apply

    public Object apply()
                 throws Exception

  Throws:
    `Exception`

### throwBadObjectException

    public void throwBadObjectException(Class class1)
                                 throws Exception

  Throws:
    `Exception`

### throwBadObjectException

    public void throwBadObjectException(int class1)
                                 throws Exception

  Throws:
    `Exception`

### throwBadObjectException

    public void throwBadObjectException(int class1,
                                        int class2)
                                 throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.